LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
05656Bug reports[All Projects] Survey takingpublic2012-01-11 15:322012-03-14 21:08
Reporteruser16048 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version1.92RC1 
Target VersionFixed in Version1.92RC4 
Summary05656: Problem to differentiate between normal survey participation and test mode
DescriptionI tested a survey using "&newtest=Y". I stoped at the second page, then started the survey. I then used the link without "&newtest=Y" but was sent to the second page and got the message:
"Please use the LimeSurvey navigation buttons or index. It appears you attempted to use the browser back button to re-submit a page."
After a click on okay I answerd the question and clicked on the "next" button. I then came out the welcome page of my survey.
It seems there is a problem to differentiate between normal survey participation and test mode.
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID11702
BrowserMozilla Firefox 9.0
Database & DB-Versionmysql
Operating System (Server)Windows XP
Webserver software & versionxampp
PHP Version5.3.8
Attached Filesjpg file icon warningMessageJS.jpg [^] (511,191 bytes) 2012-01-11 15:32

- Relationships

-  Notes
User avatar (16788)
Mazi (developer)
2012-01-11 17:24

Tom, wanna take this one?

If not please assign it to Carsten.
User avatar (16813)
ulysse68 (reporter)
2012-01-17 15:29

On my version (1.92RC2, downloaded yesterday with svn), this appears also if the survey is active -- impossible to navigate after the second page.

(Not sure that helps...)
User avatar (16853)
TMSWhite (reporter)
2012-01-20 15:45

Can you tackle this, Carsten? Seems to be another session issue. Sounds low priority.
User avatar (17430)
c_schmitz (administrator)
2012-02-14 14:10

1.92RC4 released

- Related Changesets
LimeSurvey: Yii ba230e21
Timestamp: 2012-02-01 14:24:32
Author: c_schmitz
Committer: c_schmitz
Details ] Diff ]
Fixed issue 05656: Problem to differentiate between normal survey participation and test mode

git-svn-id: file:///Users/Shitiz/Downloads/lssvn/source/limesurvey_yii@12290 [^] b72ed6b6-b9f8-46b5-92b4-906544132732
mod - application/helpers/SurveyRuntimeHelper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-11 15:32 user16048 New Issue
2012-01-11 15:32 user16048 File Added: warningMessageJS.jpg
2012-01-11 17:23 Mazi Assigned To => TMSWhite
2012-01-11 17:23 Mazi Status new => assigned
2012-01-11 17:24 Mazi Note Added: 16788
2012-01-17 15:29 ulysse68 Note Added: 16813
2012-01-20 15:44 TMSWhite Assigned To TMSWhite => c_schmitz
2012-01-20 15:45 TMSWhite Note Added: 16853
2012-02-01 23:25 c_schmitz Status assigned => resolved
2012-02-01 23:25 c_schmitz Fixed in Version => 1.92RC4
2012-02-01 23:25 c_schmitz Resolution open => fixed
2012-02-14 14:10 c_schmitz Note Added: 17430
2012-02-14 14:10 c_schmitz Status resolved => closed
2012-03-14 21:08 c_schmitz Changeset attached => Import 2012-03-09 13:30:34 Yii ba230e21


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker